(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: ulist2.mli,v 1.8 2014/01/10 15:28:04 fclement Exp $ *)

(** {3 Lists with at least two elements} *)

type 'a list2 = 'a * 'a Ulist1.list1;;

include Ulistn_spec.LISTN with
  type 'a listpn = 'a Ulist1.t and
  type 'a listn =  'a list2
;;
